
export ENGINE_DEFAULTS="${ENGINE_DEFAULTS:-/usr/share/ovirt-engine/services/ovirt-engine/ovirt-engine.conf}"
export ENGINE_VARS="${ENGINE_VARS:-/etc/ovirt-engine/engine.conf}"
PACKAGE_NAME="ovirt-engine"
PACKAGE_VERSION="3.5.3.1"
DISPLAY_VERSION="3.5.3.1-1.el6"

die() {
	local m="$1"
	echo "FATAL: ${m}" >&2
	exit 1
}

load_config() {

	[ -r "${ENGINE_DEFAULTS}" ] || die "Can't load defaults file \"${ENGINE_DEFAULTS}\"."

	for f in \
		"${ENGINE_DEFAULTS}" \
		"${ENGINE_VARS}" \
		$([ -d "${ENGINE_VARS}.d" ] && find "${ENGINE_VARS}.d" -name '*.conf' | sort) \
		; do

		[ -r "${f}" ] && . "${f}"
	done

	JAVA_HOME="$("${ENGINE_USR}/bin/java-home")" || die "Cannot set JAVA_HOME"
	export JAVA_HOME

	# we use jboss specific loader (jboss-modules.jar)
	# setup module path
	export JAVA_MODULEPATH="${ENGINE_JAVA_MODULEPATH}:${JBOSS_HOME}/modules"

	# clean the class path
	# jboss module loader will not run otherwise.
	export CLASSPATH=""
}

load_config
